CUPTI (PDF) - v8.0 (older) - Last updated September 4, 2016 - Send Feedback -

## 3.51. CUpti_ActivitySourceLocator Struct Reference

## [CUPTI Activity API]

This activity record represents a source locator (CUPTI_ACTIVITY_KIND_SOURCE_LOCATOR).

### Public Variables

const char * fileName
uint32_t id
CUpti_ActivityKind kind
uint32_t lineNumber

### Variables

const char * CUpti_ActivitySourceLocator::fileName [inherited]

  The path for the file.

uint32_t CUpti_ActivitySourceLocator::id [inherited]

  The ID for the source path, will be used in all the source level results.

CUpti_ActivityKind CUpti_ActivitySourceLocator::kind [inherited]

  The activity record kind, must be CUPTI_ACTIVITY_KIND_SOURCE_LOCATOR.

uint32_t CUpti_ActivitySourceLocator::lineNumber [inherited]

  The line number in the source .